import { InkConfigurationSettings, PartialInkConfigurationSettings, Platform } from "./types";
/**
 * The global settings, used when the `workspace/configuration` request is not supported
 * by the client.
 */
export declare let defaultSetting: InkConfigurationSettings;
export declare let areDefaultSettingsDirty: boolean;
export declare function flagDefaultSettingsAsDirty(): void;
export declare function getDefaultSettings(): InkConfigurationSettings;
export declare function determinePlatform(): Platform;
/**
 * Returns true if the current setup requires Inklecate to be run through mono.
 */
export declare function isRunThroughMono(): boolean;
/**
 * Returns the default path to inklecate depending on the given Platform.
 *
 * @param platform the Platform for which return the default inklecate path.
 */
export declare function defaultInklecatePath(platform: Platform): string;
/**
 * Merge the given settings with the default one,
 * replacing any empty or undefined values.
 *
 * @param settings the provided configuration settings.
 * @param defaultSettings the default settings to use if values are empty or undefined.
 */
export declare function mergeSettings(settings: PartialInkConfigurationSettings, defaultSettings: InkConfigurationSettings): InkConfigurationSettings;
export declare function getMonoPath(runThroughMono: string | boolean | undefined): string | undefined;
