"use strict";
// Copyright (c) Frédéric Maquin <fred@ephread.com>
// Licensed under the MIT License.
// See LICENSE in the project root for license information.
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const fs_1 = require("fs");
// If the directory is not found, that probably means we are installed as a dependency.
// If we are installed as a dependency it may (or may not) be a good idea to check
// for vscode install script in the parent directory.
//
// Worst case scenario, the install script in run twice. If anyone has a better way to handle
// the case, I'd like to know!
const firstPath = './node_modules/vscode/bin/install';
const secondPath = '../vscode/bin/install';
fs_1.stat(firstPath, (firstError, firstStatValue) => {
    if (firstStatValue) {
        const firstStat = child_process_1.spawn('node', [firstPath], {
            cwd: process.cwd(),
            stdio: "inherit"
        });
        firstStat.on('exit', exitProcess);
    }
    else {
        fs_1.stat(secondPath, (secondError, secondStatValue) => {
            if (secondStatValue) {
                const secondStat = child_process_1.spawn('node', [secondPath], {
                    cwd: process.cwd(),
                    stdio: "inherit"
                });
                secondStat.on('exit', exitProcess);
            }
            else {
                // tslint:disable-next-line no-console
                console.log("Could no locate vscode type installer, aborting…");
                exitProcess(1);
            }
        });
    }
});
function exitProcess(code) {
    if (code !== 0) {
        process.exit(code);
    }
}
//# sourceMappingURL=postinstall.js.map