"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const identifiers_1 = require("./identifiers");
class StoryRenderer {
    constructor(connection) {
        this.connection = connection;
    }
    showText(text) {
        const params = { text };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.text, params);
    }
    showTag(tags) {
        const params = { tags };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.tag, params);
    }
    showChoice(choice) {
        const params = { choice };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.choice, params);
    }
    showPrompt() {
        this.connection.sendNotification(identifiers_1.RuntimeNotification.prompt);
    }
    showEndOfStory() {
        this.connection.sendNotification(identifiers_1.RuntimeNotification.endOfStory);
    }
    reportError(error) {
        const params = { error };
        this.connection.sendNotification(identifiers_1.RuntimeNotification.error, params);
    }
}
exports.StoryRenderer = StoryRenderer;
//# sourceMappingURL=story-renderer.js.map